# Dynamisches SIRS mit diskretem Plot: Hauptprogramm


import matplotlib.pyplot as plt

import sirs_dynamisch_funktionen_diskret_np as rechne
import achsenFertig_diskret as achsen


#Legende wird angegeben 
labels = ["Infizierte", "Gesunde", "Resistente", "gesamt"]

# Eingeben der Krankheitsparameter
#anzahl = input("Groesse der Beobachtungsgruppe: ")
gesamtzahl = 100
#infiziert_start = input ("Infizierte zu Beginn: ")
infiziert_start = 1
#t_max = input("Ende des Beobachtungszeitraums: ")
t_max = 100
#a = input("Infektionsrate: ")
a = 0.0115
#b = input("Gesundungsrate: ")
b = 0.112
#c = input("Resistenzverlustrate: ")
c = 0.013
#d = input("Sterberate: ")
d = 0.012

# Dictionary fuer die festen Werte der Berechnung
status = {"N": gesamtzahl, "startwert_inf": infiziert_start, "t_min": 0, "t_max": t_max, "schrittweite": 0.001, "a": a, "b": b, "c": c, "d": d}

# Aufruf der Funktionen und Plotten
twerte, Iwerte, Swerte, Rwerte, Nwerte = rechne.Funkwerte(status)
Nwerte.sort()
N_max = int(Nwerte[-1])
# schoenere Achsen mit besserer Beschriftung
achsen.Achsenkonstruktion(N_max)

#Plotten der Funktion mit der Legende
achsen.Myplot(twerte, [Iwerte, Swerte, Rwerte, Nwerte], N_max, labels)
