#SI: Funktion der Infizierten und Gesunden

import matplotlib.pyplot as plt


def Infizierte (I, status, a=0.001, b=0.001):
	return -a*I*(status["N"]-I)+b*I
	
	
def Funkwerte (status):
	t = status["t_min"]
	dt = status["schrittweite"]
	I = status["startwert"]
	Is = [status["startwert"]]
	ts = [0]
	while t <= status["t_max"]:
		t += dt
		ts.append(t)
		I -= Infizierte(I, status)*dt
		Is.append(I)
	return ts, Is

def Gesunde (Iwerte, status):
	Swerte = [status["N"]-status["startwert"]]
	t = status["t_min"]
	while t <= status["t_max"]:
		Swerte.append(status["N"]-Iwerte[len(Swerte)])
		t += status["schrittweite"]
	return Swerte
		
	
if __name__ == "__main__":
	ts, Is = Funkwerte (1, 0, 100, 0.001)
	plt.plot(ts,Is)
	plt.show()		
	
