#SIS: Hauptprogramm


import matplotlib.pyplot as plt

import sis_infizierte_gesunde_np as rechne
import achsenFertig as achsen

#Legende wird angegeben 
labels=["Infizierte", "Gesunde"]


# Eingeben der Krankheitsparameter
#anzahl = input ("Groesse der Beobachtungsgruppe: ")
anzahl = 100
#infiziert_start = input ("Infizierte zu Beginn: ")
infiziert_start = 1
#t_max = input ("Ende des Beobachtungszeitraums: ")
t_max = 100
#a = input ("Infektionsrate: ")
a = 0.001
#b = input ("Gesundungsrate: ")
b = 0.001

# Dictionary fuer die festen Werte der Berechnung
status = {"N" : anzahl, "startwert_inf" : infiziert_start, "t_min" : 0, "t_max" : t_max, "schrittweite" : 0.001, "a" : a, "b" : b}

# schoenere Achsen mit besserer Beschriftung
achsen.Achsenkonstruktion(status["N"])


# Aufruf der Funktionen 
twerte, Iwerte, Swerte = rechne.Funkwerte (status)

#Plotten der Funktion mit der Legende
achsen.Myplot(twerte,[Iwerte,Swerte],status["N"],labels)

