# Dynamisches SIRS mit Geburten- != Sterberate: Hauptprogramm
# Krankheit letal


import matplotlib.pyplot as plt

import sirs_dynamisch_letal_funktionen_np as rechne
import achsenFertig as achsen


# Legende wird angegeben 
labels = ["Infizierte", "Gesunde", "Resistente", "gesamt"]

# Eingeben der Krankheitsparameter
#anzahl = input("Groesse der Beobachtungsgruppe: ")
gesamtzahl = 100
#infiziert_start = input("Infizierte zu Beginn: ")
infiziert_start = 1
#t_max = input("Ende des Beobachtungszeitraums: ")
t_max = 100
#a = input("Infektionsrate: ")
a = 0.01
#b = input("Gesundungsrate: ")
b = 0.1
#c = input("Resistenzverlustrate: ")
c = 0.01
#d = input("(natuerliche Sterberate: ")
d = 0.0004
#e = input("Geburtenrate: ")
e = 0.0005
#f = input("Krankheitsletalitaet")
f = 0.15

# Dictionary fuer die festen Werte der Berechnung
status = {"N": gesamtzahl, "startwert_inf": infiziert_start, "t_min": 0, "t_max": t_max, "schrittweite": 0.001, "a": a, "b": b, "c": c, "d": d, "e": e, "f": f}

# Aufruf der Funktionen und Plotten
twerte, Iwerte, Swerte, Rwerte, Nwerte = rechne.Funkwerte (status)

N_max = int(max(Nwerte))
# schoenere Achsen mit besserer Beschriftung
achsen.Achsenkonstruktion(N_max)

#Plotten der Funktion mit der Legende
achsen.Myplot(twerte, [Iwerte, Swerte, Rwerte, Nwerte], N_max, labels)
