# -*- coding: utf-8 #

#imports
import matplotlib.pyplot as plt
import numpy as np
import threading
import time
from matplotlib import colors
import pandas as pd
import random as rd

Index = ["a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t"]
Cols= ["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T",]
cmap = colors.ListedColormap(["green", "limegreen", "red", "tomato"])

jein = [False, True]
# Infektionswahrscheinlichkeit
a = 1
p1 = [1-a, a]

# Gesundungswahrscheinlichkeit
b = 0.01
p2 = [1-b, b]


def loop(heatmap):
	n = 0

	while n < 1000:    
		time.sleep(1) 
		if n == 0:
			data = [[0 for i in range (20)] for i in range(20)] 
			
			data[rd.randint(0,19)][rd.randint(0,19)] = 3          
			heatmap.set_array(data)
			plt.draw()
		if n > 0:
			for y in range(20):
				for x in range(20):
					if data[y][x] == 3:
						data[y][x] = 2
					elif data[y][x] == 1:
						data[y][x] = 0

			for y in range(20):
				for x in range(20):
					if data[y][x] == 2:
						if x < 19:
							if data[y][x+1] == 0:
								wahl = np.random.choice(jein, 1, p1)
								if wahl:
									data[y][x+1] = 3	# Nachbar rechts wird infiziert
						if x > 0:
							if data[y][x-1] == 0:
								wahl = np.random.choice(jein, 1, p1)
								if wahl:
									data[y][x-1] = 3	# Nachbar links wird infiziert
						if y > 0:
							if data[y-1][x] == 0:
								wahl = np.random.choice(jein, 1, p1)
								if wahl:
									data[y-1][x] = 3	# Nachbar oben wird infiziert
						if y < 19:
							if data[y+1][x] == 0:
								wahl = np.random.choice(jein, 1, p1)
								if wahl:
									data[y+1][x] = 3	# Nachbar unten wird infiziert
						wahl = np.random.choice(jein, 1, p2)
						if wahl:
							data[y][x] = 1
			# time.sleep(0.1)
			heatmap.set_array(data)
			plt.draw()

		n += 1



data = [[0 for i in range (20)] for i in range(20)] 

data[rd.randint(0,19)][rd.randint(0,19)] = 3

df = pd.DataFrame(data, index=Index, columns = Cols)

heatmap = plt.imshow(np.array(data), cmap=cmap,)

# Thread
thread = threading.Thread(target=loop, args=(heatmap,))
thread.start()

plt.show()
