#SIRS: Hauptprogramm


import matplotlib.pyplot as plt

import sirs_funktionen_np as rechne
import achsenFertig as achsen

#Legende wird angegeben 
labels=["Infizierte", "Gesunde", "Resistente"]


# Eingeben der Krankheitsparameter
#anzahl = input ("Groesse der Beobachtungsgruppe: ")
anzahl = 100
#infiziert_start = input ("Infizierte zu Beginn: ")
infiziert_start = 1
#t_max = input ("Ende des Beobachtungszeitraums: ")
t_max = 100
#a = input ("Infektionsrate: ")
a = 0.01
#b = input ("Gesundungsrate: ")
b = 0.1
#c = input ("Resistenzverlustrate: ")
c = 1

# Dictionary fuer die festen Werte der Berechnung
status = {"N" : anzahl, "startwert_inf" : infiziert_start, "t_min" : 0, "t_max" : t_max, "schrittweite" : 0.001, "a" : a, "b" : b, "c" : c}

# schoenere Achsen mit besserer Beschriftung
achsen.Achsenkonstruktion(status["N"])

# Aufruf der Funktionen und Plotten
twerte, Iwerte, Swerte, Rwerte = rechne.Funkwerte (status)

#Plotten der Funktion mit der Legende
achsen.Myplot(twerte, [Iwerte, Swerte, Rwerte], status["N"], labels)
